CMSIS-DSP: arm_rfft_fast_f16.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_rfft_fast_f16.c File Reference

## Functions

void | stage_rfft_f16 (const arm_rfft_fast_instance_f16 *S, float16_t *p, float16_t *pOut)
void | merge_rfft_f16 (const arm_rfft_fast_instance_f16 *S, float16_t *p, float16_t *pOut)
void | arm_rfft_fast_f16 (const arm_rfft_fast_instance_f16 *S, float16_t *p, float16_t *pOut, uint8_t ifftFlag)
| Processing function for the floating-point real FFT. More...

## Function Documentation

void merge_rfft_f16 | ( | const arm_rfft_fast_instance_f16 * | S,
|  | float16_t * | p,
|  | float16_t * | pOut
| ) |  |

void stage_rfft_f16 | ( | const arm_rfft_fast_instance_f16 * | S,
|  | float16_t * | p,
|  | float16_t * | pOut
| ) |  |